# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc列表查询条件验证_返利明细,33,33-67,sit,be
主数据平台:多采商城获取返利明细列表接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.多采商城登录.多采商城登录 import CmdcMaiiLogin
import requests
import datetime
import random
import json

module = "cmdc_33st"

# 第一步登录后台运营系统获取token
username = commonFuc().get_business_data(module, "username_be")
password = commonFuc().get_business_data(module, "password_be")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcMaiiLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers1", cmdc_access_token)

# 第二步获取返利明细列表
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url66")
request_body = commonFuc().get_business_data(module, "payload66")
# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)

# 生成随机数
rebate_random = random.randint(0, len(result["data"]["list"]) - 1)
# 获取返利明细信息
filialeCode = result["data"]["list"][rebate_random]["filialeCode"]
startTime = result["data"]["list"][rebate_random]["createTime"][:10] + " 00:00:00"
endTime = datetime.datetime.now().strftime("%Y-%m-%d") + " 00:00:00"
transactionType = result["data"]["list"][rebate_random]["transactionType"]
relevanceName = result["data"]["list"][rebate_random]["relevanceName"]
demandCode = (
    result["data"]["list"][rebate_random]["demandCode"] if result["data"]["list"][rebate_random]["demandCode"] else "")
demandParentCode = (result["data"]["list"][rebate_random]["demandParentCode"] if result["data"]["list"][rebate_random][
    "demandParentCode"] else "")

# 第三步进行列表条件查询
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url67")
request_body = commonFuc().get_business_data(module, "payload67", filialeCode, startTime, endTime, startTime, endTime,
                                             transactionType, relevanceName, demandCode, demandParentCode)

"""

 场景: 列表查询条件验证_返利明细
 用例名称：列表查询条件验证_返利明细
 输出：{"relevanceName":"%s"}
"""

# 发送请求
result = requests.post(url, json=request_body, headers=headers)
# 获取接口响应时间
api_time = float(result.elapsed.total_seconds())

# 获取查询结果
result = json.loads(result.content)
result = {"relevanceName": result["data"]["list"][0]["relevanceName"]}
# 将接口响应时间添加至result
result["api_time"] = api_time

# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict67", relevanceName)
# print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
