# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc站点基本配置信息更新验证,2299,2299-21,sit,bs
主数据平台:后台运营系统站点基本配置信息更新接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
import requests
import json

module = "cmdc_area"

# 第一步登录后台运营系统获取token
username = commonFuc().get_business_data(module, "username2")
password = commonFuc().get_business_data(module, "password2")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)

# 第二步获取站点基础配置信息
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url20")
request_body = commonFuc().get_business_data(module, "payload20")
# 发送请求
result = requests.get(url, params=request_body, headers=headers)
result = json.loads(result.content)

# 获取站点基础配置信息
companyCode = result["data"]["companyCode"]
isUnitPrice = result["data"]["isUnitPrice"]
isDistributionUnitPrice = result["data"]["isDistributionUnitPrice"]
isProduceNumber = result["data"]["isProduceNumber"]
roleIdsProduceNumber = result["data"]["roleIdsProduceNumber"]
roleIdsUnitPrice = result["data"]["roleIdsUnitPrice"]
roleIdsDistributionUnitPrice = result["data"]["roleIdsDistributionUnitPrice"]

# 第三步对站点基本配置信息更新操作
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url21")
request_body = commonFuc().get_business_data(module, "payload21", companyCode, isUnitPrice, isDistributionUnitPrice,
                                             isProduceNumber,
                                             roleIdsProduceNumber, roleIdsUnitPrice, roleIdsDistributionUnitPrice)
"""

 场景: 站点基本配置信息更新验证
 用例名称：站点基本配置信息更新验证
 输出：{"success":true,"code":"200","message":"OK","data":true,"freshToken":null}
"""

# 发送请求
result = requests.post(url, json=request_body, headers=headers)
# 获取接口响应时间
api_time = float(result.elapsed.total_seconds())

# 将接口响应时间添加至result
result = json.loads(result.content)
# print(result)
result["api_time"] = api_time

# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict21")
# print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
