# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc通过code获取服务商品信息,2262,2262-42,sit,bs
主数据平台:运营后台管理系统通过code获取服务商品信息接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
import requests
import json


module = "cmdc_commodity_activity"

# 第一步登录后台运营平台获取cmdc_access_token
# 获取登录所需账号密码
username = commonFuc().get_business_data(module, "username30")
password = commonFuc().get_business_data(module, "password30")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)

# 第二步通过code获取服务商品信息
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url42")
request_body = commonFuc().get_business_data(module, "payload42")

"""
 场景:通过code获取服务商品信息
 用例名称：通过code获取服务商品信息
 输出：{"companyCode":"00102"}
"""

# 发送请求
result = requests.post(url, json=request_body, headers=headers)
# 获取接口响应时间
api_time = result.elapsed.total_seconds()

# 获取商品所属站点
result = json.loads(result.content)
result = {"companyCode": result["data"][0]["filialeCode"]}
# 将接口响应时间添加至结果中
result["api_time"] = api_time

# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict42")
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)

