# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc套包更新_新套包名称已存在,2264,2264-15,sit,bs
主数据平台:运营后台管理系统套包列表查询和套包更新等接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
import requests
import json

module = "cmdc_fresenius_group"

# 第一步登录后台运营平台获取cmdc_access_token
# 获取登录所需账号密码
username = commonFuc().get_business_data(module, "username1")
password = commonFuc().get_business_data(module, "password1")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)

# 第二步进行套包列表获取
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url1")
request_body = commonFuc().get_business_data(module, "payload1")
# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)

# 获取现有套包名称
group_name = result["data"]["list"][0]["groupName"]

# 获取套包信息
group_json = result["data"]["list"][1]
# 进行套包名称更新操作
group_json.update(groupName=group_name)

# 第三步进行套包更新验证
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url14")
request_body = group_json

"""
 场景: 验证更新套包时，把套包名称修改为已存在的套包名，是否可以更新成功
 用例名称：套包更新-新套包名已存在
 输出：{"success":false,"code":"FRESENIUS_GROUP_ERROR","message":"该行套包名称系统已存在，无需重复添加！","data":null,"freshToken":null}
"""

# 发送请求
result = requests.post(url, json=request_body, headers=headers)
# 获取接口响应时间
api_time = float(result.elapsed.total_seconds())
result = json.loads(result.content)
result["api_time"] = api_time

if result["code"] == "FRESENIUS_GROUP_ERROR":
    # 获取预期结果
    check_dict = commonFuc().get_business_data(module, "checkDict14")
    # 断言实际结果中是否包含预期结果的内容
    commonFuc().check_result(check_dict, result)
else:
    # 获取预期结果
    check_dict = commonFuc().get_business_data(module, "checkDict11_1")
    # 断言实际结果中是否包含预期结果的内容
    commonFuc().check_result(check_dict, result)