# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc列表查询条件验证_站点列表,2256,2256-2,sit,bs
主数据平台:后台运营系统获取站点列表接口 
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
import requests
import random
import json

module = "cmdc_website"

# 第一步登录后台运营系统获取token
username = commonFuc().get_business_data(module, "username")
password = commonFuc().get_business_data(module, "password")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers1", cmdc_access_token)

# 第二步获取站点列表
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url4")
request_body = commonFuc().get_business_data(module, "payload4")
# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)

# 生成随机数
website_random = random.randint(0, len(result["data"]["list"]) - 1)
# 获取站点信息
websiteName = result["data"]["list"][website_random]["websiteName"]
orderApportionPrinciple = result["data"]["list"][website_random]["orderApportionPrinciple"]
companyName = result["data"]["list"][website_random]["companyName"]
companyType = result["data"]["list"][website_random]["companyType"]

# 第三步进行列表查询
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url5")
request_body = commonFuc().get_business_data(module, "payload5", websiteName, orderApportionPrinciple, companyName,
                                             companyType)
"""

 场景: 列表查询条件验证_站点列表
 用例名称：列表查询条件验证_站点列表
 输出：{"websiteName":"%s"}
"""

# 发送请求
result = requests.post(url, json=request_body, headers=headers)
# 获取接口响应时间
api_time = float(result.elapsed.total_seconds())

# 获取站点简称
result = json.loads(result.content)
# print(result)
result = {"websiteName": result["data"]["list"][0]["websiteName"]}

# 将接口响应时间添加至result
result["api_time"] = api_time

# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict5", websiteName)
# print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
